Subject: bug#27307: closed (Re: bug#27307: [PATCH] gnu: unshield: Remove incorrect '"'.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Jul 2017 14:20:02 +0000

Your bug report

#27307: [PATCH] gnu: unshield: Remove incorrect '"'.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27307: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27307
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27307: [PATCH] gnu: unshield: Remove incorrect '"'.
From: Manolis Ragkousis <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Jul 2017 17:18:51 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey Marius

On 06/10/2017 06:59 PM, Marius Bakke wrote:
> [email-masked] writes:
> 
>> * gnu/packages/compression.scm: Remove incorrect '"'.
> 
> Nit-pick: it should say "* gnu/packages/compression.scm (unshield): ..."
> 
> [...]
> 
>> -           (uri (string-append "https://www.dropbox.com/s/8r4b6752swe3nhu/\"
>> +           (uri (string-append "https://www.dropbox.com/s/8r4b6752swe3nhu/\
>>  unshield-avigomanager11b22.zip?dl=1"))
> 
> I guess you can also remove string-append here? Alternatively, quoting the
> next line and indenting it would look a little better IMO.

I went with your second suggestion, I liked it more as well :)
Pushed the updated patch to master.
> 
> Sorry for the review failure! :-)
> 

I should have been more careful :P Thank you for your time and help!

Manolis

Subject: [PATCH] gnu: unshield: Remove incorrect '"'.
From: [email-masked]
To: [email-masked]
Cc: Manolis Ragkousis <[email-masked]>
Date: Sat, 10 Jun 2017 16:23:51 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Manolis Ragkousis <[email-masked]>

* gnu/packages/compression.scm: Remove incorrect '"'.
---
 gnu/packages/compression.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/compression.scm b/gnu/packages/compression.scm
index 3742ff586..8de297fbc 100644
--- a/gnu/packages/compression.scm
+++ b/gnu/packages/compression.scm
@@ -1183,7 +1183,7 @@ or junctions, and always follows hard links.")
        ("unshield-avigomanager11b22.zip"
         ,(origin
            (method url-fetch)
-           (uri (string-append "https://www.dropbox.com/s/8r4b6752swe3nhu/\"
+           (uri (string-append "https://www.dropbox.com/s/8r4b6752swe3nhu/\
 unshield-avigomanager11b22.zip?dl=1"))
            (sha256
             (base32 "0fwq7lih04if68wpwpsk5wjqyvh32db76a41sq6gbx4dn1lc3ddn"))
@@ -1191,7 +1191,7 @@ unshield-avigomanager11b22.zip?dl=1"))
        ("unshield-the-feeble-files-spanish.zip"
         ,(origin
            (method url-fetch)
-           (uri (string-append "https://www.dropbox.com/s/1ng0z9kfxc7eb1e/\"
+           (uri (string-append "https://www.dropbox.com/s/1ng0z9kfxc7eb1e/\
 unshield-the-feeble-files-spanish.zip?dl=1"))
            (sha256
             (base32 "1k5cw6vnpja8yjlnhx5124xrw9i8s1l539hfdqqrqz3l5gn0bnyd"))
-- 
2.13.0